using System;
using System.Collections.Generic;
using System.Text;

using Chart;

namespace DataPerformerUI
{
    public class SimplePointCollectionChooserFactory : PointCollectionChooserFactory
    {
        public static readonly string[] names = new string[] { "Colored circles" };

        public static readonly SimplePointCollectionChooserFactory Object =
            new SimplePointCollectionChooserFactory();

        protected SimplePointCollectionChooserFactory()
        {
        }

        public override string[] Names
        {
            get 
            { 
                return names; 
            }
        }

        public override IPointCollecionChooser this[PointFactory factory]
        {
            get 
            {
                if (factory is CirclePointFactory)
                {
                    return new ColoredChooser();
                }
                return null; 
            }
        }

        public static void Set()
        {
            PointCollectionChooserFactory.Factory = Object;
        }
    }
}
